ATAI Life Sciences BV

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/atai-life-sciences-bv/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/atai-life-sciences-bv/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1743379200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1840904/000095017025071435/atai-20250331.htm",
    "holding_balance": 58.0,
    "holding_net_change": 58.0,
    "transaction_value_usd": 5000000.0,
    "average_entry_value_usd": 86206.9,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/atai-life-sciences-bv/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    58.0
  ],
  [
    1779062400000,
    58.0
  ],
  [
    1779148800000,
    58.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/atai-life-sciences-bv/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    4490931.88
  ],
  [
    1779062400000,
    4462767.66
  ],
  [
    1779148800000,
    4452080.58
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/atai-life-sciences-bv/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 3.95,
    "date": "2026-05-15",
    "high": 4.105,
    "open": 3.99,
    "close": 4.015,
    "volume": 2885900
  },
  {
    "low": 4.07,
    "date": "2026-05-18",
    "high": 4.46,
    "open": 4.31,
    "close": 4.15,
    "volume": 7869600
  },
  {
    "low": 3.92,
    "date": "2026-05-19",
    "high": 4.164,
    "open": 4.164,
    "close": 3.96,
    "volume": 4552800
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/atai-life-sciences-bv/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.1032,
  "quarterly_earnings_growth": -0.968,
  "eps_estimate_current_quarter": -0.1119
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/atai-life-sciences-bv/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -19.18,
  "six_month_return": -1.0,
  "three_month_return": 0.25
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/atai-life-sciences-bv/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.3,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}